--- /dev/null	2017-05-26 19:19:45.000000000 -0400
+++ new/usr/src/pkg/manifests/diagnostic-snoop.mf	2017-05-26 19:19:45.495111670 -0400
@@ -0,0 +1,22 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/diagnostic/snoop@$(PKGVERS)
+set name=pkg.summary value="snoop network traffic monitor"
+set name=info.classification \
+    value=org.opensolaris.category.2008:Applications/Internet
+set name=variant.arch value=$(ARCH)
+file path=usr/sbin/snoop mode=0555
+file path=usr/share/man/man1m/snoop.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
--- /dev/null	2017-05-26 19:19:46.000000000 -0400
+++ new/usr/src/pkg/manifests/network-finger.mf	2017-05-26 19:19:46.017991048 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/finger@$(PKGVERS)
+set name=pkg.summary value="finger user information client/server"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=lib/svc/manifest/network/finger.xml group=sys mode=0444
+file path=usr/bin/finger mode=0555
+file path=usr/sbin/in.fingerd mode=0555
+file path=usr/share/man/man1/finger.1
+file path=usr/share/man/man1m/in.fingerd.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+link path=usr/share/man/man1m/fingerd.1m target=in.fingerd.1m
--- /dev/null	2017-05-26 19:19:46.000000000 -0400
+++ new/usr/src/pkg/manifests/network-rdist.mf	2017-05-26 19:19:46.507950734 -0400
@@ -0,0 +1,27 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/rdist@$(PKGVERS)
+set name=pkg.summary value="file distribution and synchronization service"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=org.opensolaris.noincorp value=true
+set name=variant.arch value=$(ARCH)
+file path=usr/bin/rdist mode=4555
+file path=usr/share/man/man1/rdist.1
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
+    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
+license usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE \
+    license=usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE
--- /dev/null	2017-05-26 19:19:47.000000000 -0400
+++ new/usr/src/pkg/manifests/network-rsh.mf	2017-05-26 19:19:46.978004888 -0400
@@ -0,0 +1,60 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/network/rsh@$(PKGVERS)
+set name=pkg.description \
+    value="Berkeley Remote Shell Commands (rsh, rlogin, rcp, rdate, rmt)"
+set name=pkg.summary value="Berkeley Remote Shell Client Commands"
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=usr group=sys
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/sbin
+dir path=usr/share/man/man1
+dir path=usr/share/man/man1m
+file path=usr/bin/rcp mode=4555
+file path=usr/bin/rdate mode=0555
+file path=usr/bin/rlogin mode=4555
+file path=usr/bin/rsh mode=4555
+file path=usr/sbin/rmt mode=0555
+file path=usr/share/man/man1/rcp.1
+file path=usr/share/man/man1/rlogin.1
+file path=usr/share/man/man1/rsh.1
+file path=usr/share/man/man1m/rdate.1m
+file path=usr/share/man/man1m/rmt.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
+    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh
+link path=usr/bin/remsh target=./rsh
+link path=usr/lib/sunw,rcp target=../bin/rcp
+link path=usr/share/man/man1/remote_shell.1 target=rsh.1
+link path=usr/share/man/man1/remsh.1 target=rsh.1
--- /dev/null	2017-05-26 19:19:47.000000000 -0400
+++ new/usr/src/pkg/manifests/network-talk.mf	2017-05-26 19:19:47.484920593 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/talk@$(PKGVERS)
+set name=pkg.summary value="Berkeley network talk"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=lib/svc/manifest/network/talk.xml group=sys mode=0444
+file path=usr/bin/talk mode=0555
+file path=usr/sbin/in.talkd mode=0555
+file path=usr/share/man/man1/talk.1
+file path=usr/share/man/man1m/in.talkd.1m
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+link path=usr/share/man/man1m/talkd.1m target=in.talkd.1m
--- /dev/null	2017-05-26 19:19:48.000000000 -0400
+++ new/usr/src/pkg/manifests/network-whois.mf	2017-05-26 19:19:48.031991151 -0400
@@ -0,0 +1,26 @@
+#
+# This file and its contents are supplied under the terms of the
+# Common Development and Distribution License ("CDDL"), version 1.0.
+# You may only use this file in accordance with the terms of version
+# 1.0 of the CDDL.
+#
+# A full copy of the text of the CDDL should have accompanied this
+# source.  A copy of the CDDL is also available via the Internet at
+# http://www.illumos.org/license/CDDL.
+#
+
+# Copyright 2017, Richard Lowe
+
+set name=pkg.fmri value=pkg:/network/whois@$(PKGVERS)
+set name=pkg.summary value="WHOIS protocol client"
+set name=info.classification \
+    value="org.opensolaris.category.2008:Applications/System Utilities"
+set name=variant.arch value=$(ARCH)
+file path=usr/bin/whois mode=0555
+file path=usr/share/man/man1/whois.1
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois \
+    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois
+
+
--- old/usr/src/pkg/manifests/service-network-legacy.mf	2017-05-26 19:19:48.484454826 -0400
+++ new/usr/src/pkg/manifests/service-network-legacy.mf	2017-05-26 19:19:48.520351527 -0400
@@ -25,9 +25,9 @@
 
 set name=pkg.fmri value=pkg:/service/network/legacy@$(PKGVERS)
 set name=pkg.description \
-    value="Common Network Services: time, daytime, echo, discard, chargen"
+    value="Common Network Services: time, daytime, echo, discard, chargen, comsat"
 set name=pkg.summary \
-    value="Common Network Services: time, daytime, echo, discard, chargen"
+    value="Common Network Services: time, daytime, echo, discard, chargen, comsat"
 set name=info.classification \
     value=org.opensolaris.category.2008:System/Services
 set name=variant.arch value=$(ARCH)
@@ -40,6 +40,7 @@
 dir path=usr/lib/inet
 dir path=usr/share/man/man1m
 file path=lib/svc/manifest/network/chargen.xml group=sys mode=0444
+file path=lib/svc/manifest/network/comsat.xml group=sys mode=0444
 file path=lib/svc/manifest/network/daytime.xml group=sys mode=0444
 file path=lib/svc/manifest/network/discard.xml group=sys mode=0444
 file path=lib/svc/manifest/network/echo.xml group=sys mode=0444
@@ -49,7 +50,9 @@
 file path=usr/lib/inet/in.discardd mode=0555
 file path=usr/lib/inet/in.echod mode=0555
 file path=usr/lib/inet/in.timed mode=0555
+file path=usr/sbin/in.comsat mode=0555
 file path=usr/share/man/man1m/in.chargend.1m
+file path=usr/share/man/man1m/in.comsat.1m
 file path=usr/share/man/man1m/in.daytimed.1m
 file path=usr/share/man/man1m/in.discardd.1m
 file path=usr/share/man/man1m/in.echod.1m
@@ -62,3 +65,6 @@
     name="Common Network Services (Usr): time, daytime, echo, discard, chargen"
 license cr_Sun license=cr_Sun
 license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat \
+    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat
+link path=usr/share/man/man1m/comsat.1m target=in.comsat.1m
--- old/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:19:49.692234047 -0400
+++ new/usr/src/pkg/manifests/service-network-network-clients.mf	2017-05-26 19:19:49.727609496 -0400
@@ -25,49 +25,9 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/network-clients@$(PKGVERS)
-set name=pkg.description \
-    value="Remote Network Client Commands (rsh, rlogin, rcp, rsh, ...)"
-set name=pkg.summary value="Remote Network Client Commands"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=pkg.renamed value=true
 set name=variant.arch value=$(ARCH)
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/sbin
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-file path=usr/bin/rcp mode=4555
-file path=usr/bin/rdate mode=0555
-file path=usr/bin/rdist mode=4555
-file path=usr/bin/rlogin mode=4555
-file path=usr/bin/rsh mode=4555
-file path=usr/bin/whois mode=0555
-file path=usr/sbin/rmt mode=0555
-file path=usr/sbin/snoop mode=0555
-file path=usr/share/man/man1/rcp.1
-file path=usr/share/man/man1/rdist.1
-file path=usr/share/man/man1/rlogin.1
-file path=usr/share/man/man1/rsh.1
-file path=usr/share/man/man1/whois.1
-file path=usr/share/man/man1m/rdate.1m
-file path=usr/share/man/man1m/rmt.1m
-file path=usr/share/man/man1m/snoop.1m
-legacy pkg=SUNWrcmdc \
-    desc="Remote Network Client Commands (rsh, rlogin, rcp, rsh, ...)" \
-    name="Remote Network Client Commands"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-license usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd \
-    license=usr/src/cmd/cmd-inet/THIRDPARTYLICENSE.kcmd
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rcp
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.rsh
-license usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois \
-    license=usr/src/cmd/cmd-inet/usr.bin/THIRDPARTYLICENSE.whois
-license usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE \
-    license=usr/src/cmd/cmd-inet/usr.bin/rdist/THIRDPARTYLICENSE
-link path=usr/bin/remsh target=./rsh
-link path=usr/lib/sunw,rcp target=../bin/rcp
-link path=usr/share/man/man1/remote_shell.1 target=rsh.1
-link path=usr/share/man/man1/remsh.1 target=rsh.1
+depend fmri=diagnostic/snoop type=require
+depend fmri=network/rdist type=require
+depend fmri=network/rsh type=require
+depend fmri=network/whois type=require
--- old/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:19:50.650358592 -0400
+++ new/usr/src/pkg/manifests/service-network-network-servers.mf	2017-05-26 19:19:50.685715495 -0400
@@ -25,65 +25,10 @@
 #
 
 set name=pkg.fmri value=pkg:/service/network/network-servers@$(PKGVERS)
-set name=pkg.description \
-    value="Remote Network Server Commands (includes finger, talk, commands)"
+set name=pkg.description value="Berkeley Remote Network Server Commands"
+set name=pkg.renamed value=true
 set name=pkg.summary value="Remote Network Server Commands"
-set name=info.classification value=org.opensolaris.category.2008:System/Core
 set name=variant.arch value=$(ARCH)
-dir path=etc group=sys
-dir path=lib
-dir path=lib/svc
-dir path=lib/svc/manifest group=sys
-dir path=lib/svc/manifest/network group=sys
-dir path=lib/svc/manifest/network/rpc group=sys
-dir path=usr group=sys
-dir path=usr/bin
-dir path=usr/lib
-dir path=usr/lib/netsvc group=sys
-dir path=usr/sbin
-dir path=usr/share/man
-dir path=usr/share/man/man1
-dir path=usr/share/man/man1m
-dir path=usr/share/man/man4
-file path=lib/svc/manifest/network/comsat.xml group=sys mode=0444
-file path=lib/svc/manifest/network/finger.xml group=sys mode=0444
-file path=lib/svc/manifest/network/login.xml group=sys mode=0444
-file path=lib/svc/manifest/network/rexec.xml group=sys mode=0444
-file path=lib/svc/manifest/network/shell.xml group=sys mode=0444
-file path=lib/svc/manifest/network/talk.xml group=sys mode=0444
-file path=usr/bin/finger mode=0555
-file path=usr/bin/talk mode=0555
-file path=usr/sbin/in.comsat mode=0555
-file path=usr/sbin/in.fingerd mode=0555
-file path=usr/sbin/in.rexecd mode=0555
-file path=usr/sbin/in.rlogind mode=0555
-file path=usr/sbin/in.rshd mode=0555
-file path=usr/sbin/in.talkd mode=0555
-file path=usr/share/man/man1/finger.1
-file path=usr/share/man/man1/talk.1
-file path=usr/share/man/man1m/in.comsat.1m
-file path=usr/share/man/man1m/in.fingerd.1m
-file path=usr/share/man/man1m/in.rexecd.1m
-file path=usr/share/man/man1m/in.rlogind.1m
-file path=usr/share/man/man1m/in.rshd.1m
-file path=usr/share/man/man1m/in.talkd.1m
-file path=usr/share/man/man4/hosts.equiv.4
-legacy pkg=SUNWrcmdr desc="Remote Network Server Commands (Root)" \
-    name="Remote Network Server Commands (Root)"
-legacy pkg=SUNWrcmds \
-    desc="Remote Network Server Commands (includes finger, talk commands)" \
-    name="Remote Network Server Commands (Usr)"
-license cr_Sun license=cr_Sun
-license lic_CDDL license=lic_CDDL
-license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat \
-    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.comsat
-license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind \
-    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind
-link path=etc/rmt target=../usr/sbin/rmt
-link path=usr/share/man/man1m/comsat.1m target=in.comsat.1m
-link path=usr/share/man/man1m/fingerd.1m target=in.fingerd.1m
-link path=usr/share/man/man1m/rexecd.1m target=in.rexecd.1m
-link path=usr/share/man/man1m/rlogind.1m target=in.rlogind.1m
-link path=usr/share/man/man1m/rshd.1m target=in.rshd.1m
-link path=usr/share/man/man1m/talkd.1m target=in.talkd.1m
-link path=usr/share/man/man4/rhosts.4 target=hosts.equiv.4
+depend fmri=network/finger type=require
+depend fmri=network/talk type=require
+depend fmri=service/network/rsh type=require
--- /dev/null	2017-05-26 19:19:51.000000000 -0400
+++ new/usr/src/pkg/manifests/service-network-rsh.mf	2017-05-26 19:19:51.690873058 -0400
@@ -0,0 +1,66 @@
+#
+# CDDL HEADER START
+#
+# The contents of this file are subject to the terms of the
+# Common Development and Distribution License (the "License").
+# You may not use this file except in compliance with the License.
+#
+# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
+# or http://www.opensolaris.org/os/licensing.
+# See the License for the specific language governing permissions
+# and limitations under the License.
+#
+# When distributing Covered Code, include this CDDL HEADER in each
+# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
+# If applicable, add the following below this CDDL HEADER, with the
+# fields enclosed by brackets "[]" replaced with your own identifying
+# information: Portions Copyright [yyyy] [name of copyright owner]
+#
+# CDDL HEADER END
+#
+
+#
+# Copyright (c) 2010, Oracle and/or its affiliates. All rights reserved.
+# Copyright 2012 Nexenta Systems, Inc. All rights reserved.
+#
+
+set name=pkg.fmri value=pkg:/service/network/rsh@$(PKGVERS)
+set name=pkg.description value="Berkeley Remote Shell Server Commands"
+set name=pkg.summary value="Remote Shell Server Commands"
+set name=info.classification value=org.opensolaris.category.2008:System/Core
+set name=variant.arch value=$(ARCH)
+dir path=etc group=sys
+dir path=lib
+dir path=lib/svc
+dir path=lib/svc/manifest group=sys
+dir path=lib/svc/manifest/network group=sys
+dir path=lib/svc/manifest/network/rpc group=sys
+dir path=usr group=sys
+dir path=usr/bin
+dir path=usr/lib
+dir path=usr/lib/netsvc group=sys
+dir path=usr/sbin
+dir path=usr/share/man
+dir path=usr/share/man/man1
+dir path=usr/share/man/man1m
+dir path=usr/share/man/man4
+file path=lib/svc/manifest/network/login.xml group=sys mode=0444
+file path=lib/svc/manifest/network/rexec.xml group=sys mode=0444
+file path=lib/svc/manifest/network/shell.xml group=sys mode=0444
+file path=usr/sbin/in.rexecd mode=0555
+file path=usr/sbin/in.rlogind mode=0555
+file path=usr/sbin/in.rshd mode=0555
+file path=usr/share/man/man1m/in.rexecd.1m
+file path=usr/share/man/man1m/in.rlogind.1m
+file path=usr/share/man/man1m/in.rshd.1m
+file path=usr/share/man/man4/hosts.equiv.4
+license cr_Sun license=cr_Sun
+license lic_CDDL license=lic_CDDL
+license usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind \
+    license=usr/src/cmd/cmd-inet/usr.sbin/THIRDPARTYLICENSE.rlogind
+link path=etc/rmt target=../usr/sbin/rmt
+link path=usr/share/man/man1m/rexecd.1m target=in.rexecd.1m
+link path=usr/share/man/man1m/rlogind.1m target=in.rlogind.1m
+link path=usr/share/man/man1m/rshd.1m target=in.rshd.1m
+link path=usr/share/man/man4/rhosts.4 target=hosts.equiv.4
+
